# Created by pyp2rpm-3.3.8
%global pypi_name hidapi

Name:           python-%{pypi_name}
Version:        0.14.0.post4
Release:        %mkrel 2
Summary:        A Cython interface to the hidapi
Group:          Development/Python
License:        None
URL:            https://github.com/trezor/cython-hidapi
Source0:        %{pypi_source}

BuildRequires:  python3-devel
BuildRequires:  python3dist(cython)
BuildRequires:  python3dist(setuptools)
BuildRequires:  pkgconfig(hidapi-libusb)

%description
Python wrapper for the HIDAPI.

%package -n     python3-%{pypi_name}
Summary:        A Cython interface to the hidapi
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Python3 wrapper for the HIDAPI.

%prep
%autosetup -n %{pypi_name}-%{version}

# Build with system hidapi
rm -rf hidapi/

%generate_buildrequires
%pyproject_buildrequires

%build
export HIDAPI_SYSTEM_HIDAPI=True
%pyproject_wheel

%install
export HIDAPI_SYSTEM_HIDAPI=True
%pyproject_install
%pyproject_save_files hid hidraw

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE-bsd.txt LICENSE-gpl3.txt LICENSE-orig.txt LICENSE.txt
%doc README.rst


%changelog
* Wed Jul 02 2025 umeabot <umeabot> 0.14.0.post4-2.mga10
+ Revision: 2242068
- Mageia 10 Mass Rebuild

* Mon Mar 03 2025 daviddavid <daviddavid> 0.14.0.post4-1.mga10
+ Revision: 2159418
- new version: 0.14.0.post4
- switch to cython3
+ wally <wally>
- rebuild for python3.13

* Wed Mar 06 2024 daviddavid <daviddavid> 0.14.0-4.mga10
+ Revision: 2047805
- compile with cython 0.29.x
- rebuild for py3.12

* Tue Jun 27 2023 wally <wally> 0.14.0-3.mga9
+ Revision: 1963204
- simplify .spec and build

* Mon Jun 26 2023 wally <wally> 0.14.0-2.mga9
+ Revision: 1963155
- build using system hidapi
- fix armv7 build

* Mon Jun 26 2023 kekepower <kekepower> 0.14.0-1.mga9
+ Revision: 1963085
- imported package python-hidapi

